bitcain docs
API Reference

Platform webhooks

Platform integration webhooks - GitHub PRs, Stripe payments, Cloudflare deployments → Slack notifications

Github Webhook

POST
/api/webhooks/platforms/github

Header Parameters

x-github-event*string

GitHub event type

x-hub-signature-256?|

GitHub HMAC signature

x-github-delivery?|

Delivery GUID

Response Body

application/json

application/json

curl -X POST "https://loading/api/webhooks/platforms/github" \  -H "x-github-event: string"
{
  "property1": "string",
  "property2": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Stripe Webhook

POST
/api/webhooks/platforms/stripe

Header Parameters

stripe-signature?|

Stripe signature

Response Body

application/json

application/json

curl -X POST "https://loading/api/webhooks/platforms/stripe"
{
  "property1": "string",
  "property2": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Cloudflare Webhook

POST
/api/webhooks/platforms/cloudflare

Response Body

application/json

curl -X POST "https://loading/api/webhooks/platforms/cloudflare"
{
  "property1": "string",
  "property2": "string"
}

Linear Webhook

POST
/api/webhooks/platforms/linear

Header Parameters

Linear-Signature?|
Linear-Event?|
Linear-Delivery?|

Response Body

application/json

application/json

curl -X POST "https://loading/api/webhooks/platforms/linear"
{
  "property1": "string",
  "property2": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Sentry Webhook

POST
/api/webhooks/platforms/sentry

Header Parameters

Sentry-Hook-Signature?|
Sentry-Hook-Resource?|

Response Body

application/json

application/json

curl -X POST "https://loading/api/webhooks/platforms/sentry"
{
  "property1": "string",
  "property2": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Database Webhook

POST
/api/webhooks/platforms/database

Header Parameters

x-webhook-source?|

Webhook source identifier

x-webhook-event?|

Event type

Response Body

application/json

application/json

curl -X POST "https://loading/api/webhooks/platforms/database"
{
  "property1": "string",
  "property2": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Supabase Auth Hook

POST
/api/webhooks/platforms/supabase/auth-hook

Header Parameters

authorization?|

Bearer token from Supabase auth hook

Response Body

application/json

application/json

curl -X POST "https://loading/api/webhooks/platforms/supabase/auth-hook"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Platform Webhooks Health

GET
/api/webhooks/platforms/health

Response Body

application/json

curl -X GET "https://loading/api/webhooks/platforms/health"
{}